URL structure
Supported methods and overview
POST- adds a new LDAP connection.GET- retrieves a list of field information for all LDAP connections configured on the Cocoon Data Platform.
The
GET method takes no parameters.Detailed description
This API endpoint serves a number of purposes:-
Adds a new connection to an LDAP server/user directory on the Cocoon Data Platform.
Notes:-
Before calling this API endpoint:
- Be aware that adding at least one LDAP connection (through this API endpoint) permanently disables the ability to add more organisations to the Cocoon Data Platform - i.e. doing so permanently disables successful calls to the
POSTmethod on the <access-service>/api/v1/organisations endpoint. - Ensure that at least one plan has been configured in the one organisation configured on the Cocoon Data Platform instance. For more information see <access-service>/api/v1/organisations/{orgGroupId}/plans.
- Be aware that adding at least one LDAP connection (through this API endpoint) permanently disables the ability to add more organisations to the Cocoon Data Platform - i.e. doing so permanently disables successful calls to the
-
To test that the Cocoon Data Platform can successfully connect to the LDAP server/user directory first before adding the LDAP connection itself, call the <access-service>/api/v1/ldapconnections/availability API endpoint (before calling the
POSTmethod on this API endpoint). - All accounts in the LDAP user directory will appear as new user accounts in the one configured organisation when the Cocoon Data Platform next synchronizes with the LDAP server.
- All new LDAP user accounts added to the Cocoon Data Platform from an LDAP server/user directory automatically have the Originator role and are assigned the default plan.
- If the email address of an existing user account on the Cocoon Data Platform matches that of the emailField of a user in the LDAP user directory, then a new account will not be added to the Cocoon Data Platform for that account in LDAP (during synchronization).
-
Before calling this API endpoint:
- Retrieves a list of field information for all LDAP connections configured on the Cocoon Data Platform.
Supported roles and conditions
This API endpoint supports the following Cocoon Data user roles (as described in the SafeShare Administrator’s Guide):-
SafeShare administrator - using the:
POSTmethod, when only one organisation has been configured on the Cocoon Data Platform. To retrieve information about all configured organisations on the Cocoon Data Platform, see <access-service>/api/v1/organisations.GETmethod, without any further conditions.
Required headers
The appropriate access token as theBearer token:
Authorization: Bearer eyJhbGciOiJSUzI1NiJ9.eyJleHAiOjE0NjcwMTY2NjYsInVzZXJfbmFtZSI6ImFsZXgub...
Content-Type: application/json
Required parameters
The following required parameters must be sent in the body of the POST request, each as individual members of a JSON object:- serverUrl - .
- serverTimeout - .
- managerDN - .
- managerPassword - .
- baseDN - .
- syncFilter - .
- authFilter - .
- domain - .
- accountNameField - .
- emailField - .
- userPrincipalNameField - .
- fullnameField - .
- statusField - .
-
statusDisabledValue - .
Example (request):
Returns
If the request succeeded, then an HTTP response status200 OK is returned.
For successful requests only, a JSON-formatted response containing the following members is also returned:
-
items ( from GET requests only ) - .
- id - .
- serverUrl - .
- serverTimeout - .
- baseDN - .
- authFilter - .
- managerDN - .
- managerPassword - .
- syncFilter - .
- domain - .
- enabled - .
- emailField - .
- userPrincipalNameField - .
- statusField - .
- statusDisabledValue - .
- accountNameField - .
- fullnameField - .
- modifiedAt - .
- createdAt - .
- count ( from GET requests only ) - .
-
offset ( from GET requests only ) - .
Example (response from a GET request):

